:root {
    --glowny-color: #23272A;
    --text-color: white;
}

form,
.default-box {
    border-radius: 3px;
    background-color: var(--text-color);
    padding: 10px;
}

@media only screen and (max-width: 900px) {

    form,
    .default-box {
        font-size: 1.5em;
    }

    h2 {
        font-size: 1em;
    }
}

h2 {
    margin: 0;
    padding: 0;
    height: fit-content;
    align-self: center;
    font-weight: normal;
}

* {
    font-family: 'Karla', sans-serif;
}

body {
    background-color: var(--glowny-color);
}

input,
button,
select {
    border-radius: 5px;
    background-color: var(--glowny-color);
    border: none;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    color: var(--text-color);
    border-radius: 5px;
    padding: 5px;
    box-sizing: border-box;
}

input[type="text"],
input[type="password"],
input[type="button"] {
    width: 70%;
    margin-bottom: 10px;
    text-align: center;
    font-size: 17px;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}

input[type="text"]::placeholder,
input[type="password"]::placeholder {
    color: var(--text-color);
}

input[type="text"]:focus {
    outline: none;
}

.selectize-control {
    font-size: 16px;
    width: 70%;
    margin-bottom: 5px;
}

.selectize-control .item {
    padding: 1px;
}

.selectize-control [type="text"] {
    color: var(--text-color);
}

.selectize-input {
    white-space: pre-line;
    border: none;
    font-size: 16px;
    border-radius: 5px;
    background-color: var(--glowny-color) !important;
    color: var(--text-color);
}

.selectize-dropdown {
    font-size: 16px;
    background-color: var(--glowny-color) !important;
    color: var(--text-color);
}

.blurDiv {
    background-color: rgba(0, 0, 0, 0.7);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: fixed;
}

.blurDiv>div {
    background-color: var(--text-color);
    padding: 12px;
    width: min-content;
    min-width: 40vw;
    position: relative;
    border-radius: 5px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.blurDiv h2 {
    font-weight: 700px;
    font-size: 2.5vh;
}

.blurDiv>div>div {
    margin-bottom: 20px;
}

.blurDiv input {
    margin-bottom: 0px;
}

.user-name {
    transform: translate(-100%);
    position: absolute;
    top: 0;
    left: 0;
    background-color: var(--text-color);
    border-radius: 0px 0px 0px 3px;
    padding: 9.5px;
}

.raport {
    position: absolute;
    top: 0;
    left: 0;
    background-color: var(--text-color);
    border-radius: 0px 0px 3px 0px;
    padding: 9.5px;
    width: auto;
    text-decoration: none;
    color: var(--glowny-color);
}

.go-back {
    position: absolute;
    top: 0;
    left: 0;
    background-color: var(--text-color);
    border-radius: 0px 0px 3px 0px;
    padding: 4.5px;
    background: url(../svg/back-arrow.svg), var(--text-color);
    width: 30px;
    height: 30px;
    background-size: 30px 30px;
    background-repeat: no-repeat;
    background-position: center;
    border: none;
    cursor: pointer;
}

.user-menu {
    position: absolute;
    top: 0;
    right: 0;
    background-color: var(--text-color);
    padding: 4px;
}

.user-menu>ul {
    list-style: none;
    padding: 0px;
    margin: 0px;
    display: none;
}

.user-menu li {
    width: 30px;
    height: 30px;
    margin-top: 5px;
}

.user-menu .user {
    background: url(../svg/user.svg), var(--text-color);
}

.user-menu .gear {
    background: url(../svg/gear.svg), var(--text-color);
}

.user-menu .bug {
    background: url(../svg/bug.svg), var(--text-color);
}

.user-menu .logout {
    transform: rotate(180deg);
    background: url(../svg/logout.svg), var(--text-color);
}

.user-menu .icon {
    width: 30px;
    height: 30px;
    background-size: 30px 30px;
    background-repeat: no-repeat;
    background-position: center;
    border: none;
    cursor: pointer;
}

.user-menu:hover.user-menu>ul {
    display: block;
}

.swapButton {
    background: url(../svg/swap.svg);
    width: 65px;
    height: 50px;
    background-repeat: no-repeat;
    background-size: 48px 48px;
    background-position: center;
    border: none;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 999;
}

.fiszka {
    width: 40px;
    height: 40px;
    display: inline-block;
    margin-right: 10px;
    border-radius: 4px;
}

.fiszka[for="printing_description"] {
    background: no-repeat center/28px url(../svg/printing_description.svg);
    background-color: #5d99f3;
}

.fiszka[for="book_bindery_description"] {
    background: no-repeat center/28px url(../svg/book_bindery_description.svg);
    background-color: #23272a94;
}

.fiszka[for="packing_description"] {
    background: no-repeat center/28px url(../svg/packing_description.svg);
    background-color: #b2f35d;
}

.fiszka[for="storehouse_description"] {
    background: no-repeat center/28px url(../svg/box-seam.svg);
    background-color: #895df3;
}

.fiszka[for="graphic_description"] {
    background: no-repeat center/28px url(../svg/brush.svg);
    background-color: #f35d5d;
}
#reader {
    width: 50vw;
    background-color: none;
    padding: 0px;
}

#reader>video {
    width: 50vw !important;
}

#reader>#qr-shaded-region {
    width: 50vw !important;
    margin: auto;
}

@media only screen and (max-width: 1200px) {
    #reader {
        width: 70vw;
    }

    #reader>video {
        width: 70vw !important;
    }

    #reader>#qr-shaded-region {
        width: 70vw !important;
    }
}

@media only screen and (max-width: 900px) {
    #reader {
        width: 80vw;
    }

    #reader>video {
        width: 80vw !important;
    }

    #reader>#qr-shaded-region {
        width: 80vw !important;
    }
}

@media only screen and (max-width: 600px) {
    form {
        width: 80vw;
    }

    #reader {
        width: 95vw;
    }

    #reader>video {
        width: 95vw !important;
    }

    #reader>#qr-shaded-region {
        width: 95vw !important;
    }
}